Bug 248912 - [exp-run] graphics/jasper: Update to 2.0.20
Summary: [exp-run] graphics/jasper: Update to 2.0.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-25 20:24 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-09-12 21:20 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-08-25 20:24:09 UTC
Request exp-run.
Comment 1 Masachika ISHIZUKA 2020-08-26 00:05:25 UTC
Thank you for supplying the patch.
It works well on 13-current and 12.1Rp8.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-09-06 07:37:01 UTC
Patch updated with jasper 2.0.20 and fixes for gdal, opencv and qt5-imageformats.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-09-09 12:37:23 UTC
Patch updated with fix for xv.
Comment 6 Antoine Brodin freebsd_committer 2020-09-12 11:09:49 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2020-09-12 14:58:38 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Sep 12 14:58:20 UTC 2020
New revision: 548374
URL: https://svnweb.freebsd.org/changeset/ports/548374

Log:
  Update to 2.0.20

  Changes:	https://github.com/jasper-software/jasper/blob/master/NEWS
  PR:		248912
  Exp-run by:	antoine
  Security:	6842ac7e-d250-11ea-b9b7-08002728f74c
  MFH:		2020Q3

Changes:
  head/graphics/jasper/Makefile
  head/graphics/jasper/distinfo
  head/graphics/jasper/files/patch-CMakeLists.txt
  head/graphics/jasper/files/patch-build-cmake-modules-JasOpenGL.cmake
  head/graphics/jasper/pkg-plist
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-09-12 14:59:50 UTC
Committed. Thanks!
Comment 9 commit-hook freebsd_committer 2020-09-12 21:20:23 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Sep 12 21:19:46 UTC 2020
New revision: 548423
URL: https://svnweb.freebsd.org/changeset/ports/548423

Log:
  MFH: r548374 r548375

  Update to 2.0.20

  Changes:	https://github.com/jasper-software/jasper/blob/master/NEWS
  PR:		248912
  Exp-run by:	antoine
  Security:	6842ac7e-d250-11ea-b9b7-08002728f74c

  Fix build with jasper 2.0.20

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/graphics/gdal/files/patch-frmts-jpeg2000-jpeg2000_vsil_io.cpp
  branches/2020Q3/graphics/gdal/files/patch-frmts-jpeg2000-jpeg2000dataset.cpp
  branches/2020Q3/graphics/jasper/Makefile
  branches/2020Q3/graphics/jasper/distinfo
  branches/2020Q3/graphics/jasper/files/patch-CMakeLists.txt
  branches/2020Q3/graphics/jasper/files/patch-build-cmake-modules-JasOpenGL.cmake
  branches/2020Q3/graphics/jasper/pkg-plist
  branches/2020Q3/graphics/opencv/files/patch-modules_imgcodecs_src_grfmt__jpeg2000.cpp
  branches/2020Q3/graphics/qt5-imageformats/files/
  branches/2020Q3/graphics/xv/files/patch-xvjp2k.c